[MonoDevelop] Unable to install monodevelop-0.18.1 - can't find Mono.Addins

Orlando javier.ramirez at gmail.com
Thu Dec 27 22:00:25 EST 2007


I just started to compile it from scratch on debian powerpc, and I compile
it like this.

./configure --prefx=/usr


#make install

Then, I went back to monodevelop... and it worked.

I hope it helps.


On Dec 24, 2007 4:55 PM, Johann MacDonagh <johann at macdonaghs.com> wrote:

> I'm trying to install MonoDevelop 0.18.1 on my Gentoo system (just via
> source, not creating ebuilds).
> The portage tree doesn't have an ebuild for Mono.Addins 0.3, so I got
> the source and:
> ./configure
> make
> sudo make install
> and now the libraries are in /usr/local/lib/mono/mono-addins
> I then got the monodevelop sources and tried (as per the README):
> $ ./configure --prefix=`pkg-config --variable=prefix mono`
> --disable-update-desktopdb
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking how to create a ustar tar archive... gnutar
> checking whether to enable maintainer-specific portions of Makefiles... no
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables...
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... none
> checking for intltool >= 0.25... 0.35.5 found
> checking for perl... /usr/bin/perl
> checking for XML::Parser... ok
> checking for iconv... /usr/bin/iconv
> checking for msgfmt... /usr/bin/msgfmt
> checking for msgmerge... /usr/bin/msgmerge
> checking for xgettext... /usr/bin/xgettext
> checking for mono... /usr/bin/mono
> checking for gmcs... /usr/bin/gmcs
> checking for update-mime-database... /usr/bin/update-mime-database
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for mono... /usr/bin/mono
> checking for gmcs... /usr/bin/gmcs
> checking for MONO_ADDINS... configure: error: Package requirements
> (mono-addins >= 0.3) were not met:
> No package 'mono-addins' found
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
> Alternatively, you may set the environment variables MONO_ADDINS_CFLAGS
> and MONO_ADDINS_LIBS to avoid the need to call pkg-config.
> See the pkg-config man page for more details.
> Shouldn't the make install of the Mono.Addins source have added the
> correct pkg-config metadata? How do I point monodevelop to use those
> libraries, or should they have been installed somewhere else?
> Thanks,
> Johann
> _______________________________________________
> Monodevelop-list mailing list
> Monodevelop-list at lists.ximian.com
> http://lists.ximian.com/mailman/listinfo/monodevelop-list

ing. Javier O. Ramírez Martínez
Key fingerprint = CBFD AEC9 E7F9 C726 03BF  3D85 7B9E 47A7 EB84 70D4
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.ximian.com/pipermail/monodevelop-list/attachments/20071227/ee26690c/attachment-0001.html 

More information about the Monodevelop-list mailing list